Results 1 to 2 of 2

Your favorite Apple, iPhone, iPad, iOS, Jailbreak, and Cydia site.


Thread: Need help...I have a 3GS that has 4.2.1 ....5.15.04

  1. #1
    Default Need help...I have a 3GS that has 4.2.1 ....5.15.04
    Hi everyone, Im new on here. Hoping I can find some advice on unlocking/jailbreaking my phone. It is 4.2.1....5.15.04, I have been told that I must downgrade the firmware in order to jailbreak this phone...but after trying a couple things I am at a complete loss. Please if you have any advice I so would appreciate it

    Is this phone evenjailbreakable?

  2. #2
    Livin the iPhone Life xboxbml's Avatar
    Join Date
    Apr 2011
    Location
    US-MI
    Posts
    1,413
    Thanks
    1
    Thanked 82 Times in 76 Posts

    If u have a 3GS with 4.2.1 on it, you can jb with greenpoison. I have same and GP works fine. If I were you, also download iFaith, 4.2.1
    firmware file and TinyUmbrella and run TU before doing anything. Google for this stuff....Run TU and click save ssh. See what blobs it saves. FYI, 4.2.1 is best version on 3GS!. newer versions have reports of being jerky and not very fluid....anyway, report back blobs saved with TU. Then I would run iFaith and create a signed version of the current firmware you are running(4.2.1) so you can restore to 4.2.1 later if you need to...cuz if TU doesn't get 4.2.1 blobs, that's the only way u will be able to restore back to 4.2.1 if needed....and I haven't had to do the restore yet so not personally sure that will work, although there r reports that it does..

    I dont think I will ever update above 4.2.1 again...I did on previous 3GS to 4.3 when it came out. It wrecked the phone. 4.3.1 helped but not much. I had phone replaces for unrelated issue and it came with 4.2.1 on it...I'll never go up again I don't think...
    Last edited by xboxbml; 2011-08-12 at 07:42 PM.

Posting Permissions
  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •